FREE(1)

NOM
free - Afficher la quantité de mémoire libre et utilisée du système

SYNOPSIS
free [option ...]

DESCRIPTION
free affiche la quantité totale de mémoire physique et d'espace d'échange libre et utilisée par le système, ainsi que les tampons et caches utilisés par le noyau. Les renseignements sont rassemblés en analysant /proc/meminfo. Les colonnes affichées sont les suivantes.

total
    Total usable memory (MemTotal and SwapTotal in /proc/meminfo). This includes the physical and swap memory minus a few reserved bits and kernel binary code.

used
    Used or unavailable memory (calculated as total - available)

free
    Mémoire inutilisée (MemFree et SwapFree dans /proc/meminfo)

shared
    Mémoire utilisée surtout par tmpfs (Shmem dans /proc/meminfo)

buffers
    Mémoire utilisée par les tampons du noyau (Buffers dans /proc/meminfo)

cache
    Mémoire utilisée par le cache de page et les slabs (Cached et SReclaimable dans /proc/meminfo)

buff/cache
    Somme de buffers et cache

available
    Estimation de la quantité de mémoire disponible pour le démarrage de nouvelles applications, sans utiliser l’espace d’échange. Contrairement aux données fournies par les champs cache ou free, ce champ tient compte du cache de page et aussi du fait que tous les slabs de mémoire récupérables seront récupérés à cause des éléments utilisés (MemAvailable dans /proc/meminfo, disponible à partir du noyau 3.14, émulé à partir du noyau 2.6.27, sinon identique à free)

OPTIONS

-b, --bytes
    Afficher la quantité de mémoire en octets.

-k, --kibi
    Afficher la quantité de mémoire en kibioctets. Il s'agit du comportement par défaut.

-m, --mebi
    Afficher la quantité de mémoire en mébioctets.

-g, --gibi
    Afficher la quantité de mémoire en gibioctets.

--tebi
    Afficher la quantité de mémoire en tébioctets.

--pebi
    Afficher la quantité de mémoire en pébioctets.

--kilo
    Afficher la quantité de mémoire en kilooctets. Implique --si.

--mega
    Afficher la quantité de mémoire en mégaoctets. Implique --si.

--giga
    Afficher la quantité de mémoire en gigaoctets. Implique --si.

--tera
    Afficher la quantité de mémoire en téraoctets. Implique --si.

--peta
    Afficher la quantité de mémoire en pétaoctets. Implique --si.

-h, --human
    Montrer tous les champs automatiquement à l'échelle la plus appropriée : le plus petit nombre à trois chiffres affiché avec l'unité. Les unités suivantes sont utilisées.

      B  = octets
      Ki = kibioctets
      Mi = mébioctets
      Gi = gibioctets
      Ti = tébioctets
      Pi = pébioctets

    En l'absence d'unité, pour des quantités de l'ordre du exaoctet de RAM ou d'espace d'échange, le nombre est en tébioctet et les colonnes risquent de ne pas être alignées avec l'en-tête.

-w, --wide
    Basculer en mode large. Le mode large produit des lignes plus grandes que 80 caractères. Dans ce mode, buffers et cache sont affichés en deux colonnes séparées.

-c, --count compte
    Afficher le résultat compte fois. Nécessite l'option -s.

-l, --lohi
    Afficher les statistiques détaillées pour la mémoire basse et la mémoire haute.

-L, --line
    Show output on a single line, often used with the -s option to show memory statistics repeatedly.

-s, --seconds délai
    Afficher le résultat en continu toutes les délai secondes. Vous pouvez indiquer une valeur décimale pour délai avec un point ou une virgule décimale. usleep(3) est utilisé pour obtenir un délai avec une résolution en microseconde.

--si
    Utiliser kilo, mega, giga, etc (puissances de 1000) au lieu de kibi, mebi, gibi (puissances de 1024).

-t, --total
    Afficher une ligne contenant les quantités totales des colonnes.

-v, --committed
    Display a line showing the memory commit limit and amount of committed/uncommitted memory. The total column on this line will display the memory commit limit. This line is relevant if memory overcommit is disabled. On systems with memory overcommit enabled, the free value can temporarily appear negative. This is not a bug, but an effect of overcommit, as the system has promised more memory than the total of its virtual address space. The negative value indicates the magnitude of the system's memory over-allocation.

--help
    Afficher l'aide.

-V, --version
    Afficher les informations de version.

FICHIERS

/proc/meminfo
    Renseignements sur la mémoire

BOGUES
La valeur de la colonne shared n'est pas disponible pour les noyaux antérieurs à la version 2.6.32 (affiche zéro à la place).

Please send bug reports to procps@freelists.org.

VOIR AUSSI
ps(1), slabtop(1), top(1), vmstat(8)